@import  "../../styles.scss" ;

.titre-page{
    margin-top: 20px;
    width: 50vw;
    border-bottom: 2px solid $back-dark;
    padding-left: 20px;
    margin-right: 0;
    color: white;
}

.divimage{
    width: 100%;
    text-align: center;
    margin: 0;
    margin-top: 5vh;
    
}

.imageProfil{
    width: 40vw;
    height: 40vw;
    max-width: 228px;
    max-height: 228px;
    object-fit: cover;
    margin-left: auto;
    margin-right: auto;
    text-align: center;
    border-radius: 50%;
    border: solid 2px $back-green;
}

.username{
    color: $back-green;
    text-align: center;
    width: 100%;
    margin: 0;
}

.username p{
    margin-left: auto;
    margin-right: auto;
    margin-top: 9px;
    font-weight: bold;
}

.description{
    width: 100%;
    text-align: center;
    margin: 0;
    color: white;
    font-size: 12px;
}

.description p{
    width: 100%;
}

.containerInfo{
    margin: 0;
    font-size: 13px;
    color: white;
    background-color: $back-dark;
    padding: 10px 20px;
}

.buttonLike{
    background-color: $back-green;
    color: $back-dark;
    border: 0;
    border-radius: 48%;
    width: 40px;
    height: 40px;   
    
}

.buttonLike span{
    margin-top: 7px;
}

.infoAbo{
    margin-top: 8px; 
    padding-left: 5px;
    padding-right: 5px;
    cursor: pointer;
}

.nombreAbo{
    font-weight: bold;
}

.colButton{
    padding-left: 0;
}

.nav-tabs .nav-link {
    border:0px;
}

.nav-item{
    width: 50%;
    text-align: center;
}

.nav-link.active{
    color: $back-green;
    background-color: transparent;
    border: 0;
    border-bottom: solid 2px $back-green !important;
}

.nav-link{
    border-bottom: solid 2px white !important;
    color: white;
    font-weight: bold;
}

.nav-tabs{
    border: 0;
}


.post-pict{
    width: 90%;
    border-radius: 10px;
    cursor: pointer;
}

.colIcon{
    text-align: right;
    color: $back-green;
}

.sendPost{
    text-align: right;
}

.post{
    width: 100%;
    margin: 0;
    padding-top: 15px;
    padding-bottom: 15px;
    border-bottom:solid 2px $back-dark !important;
    
}



.usernamePost{
    margin-top: 7px;
    font-weight: bold;
    padding:0;
}

.usernamePost p{
    margin-bottom: 0;
    color: $back-green;
    cursor: pointer;
}

.col-profilpic{
    padding-right: 0;
}

.post-pict{
    width: 90%;
    border-radius: 10px;
}

.rowIconPost{
    width: 100%;
    margin: 0;
    padding: 5px;
    text-align: center;
    color: $back-green;
}


custom-input {
    background-color: white;
    border: 2px solid #ededed;
    padding: 6px;
    width: 215px;
    border-radius: 3px;
  }

  .custom-input>* {
    vertical-align: middle;
  }
  
  .custom-input img {
    width: 25px;
    height: 25px;
    display: inline-block;
  }
  
  .custom-input input {
    border: none;
    height: 40px;
    display: inline-block;
    outline: none;
    margin-left: 6px;
  }

  .image-upload>input {
    display: none;
  }
  
  .image-upload{
    text-align: center;
    width: 100%;
  }
  
#file-input{
    width: 100%;
}

  .image-upload span{
    border-radius: 100%;
    width: 40%;
  }


  .icon-img{
      width: 100%;
  }

  .sendPost{
    text-align: right;
}

.sendPost button{
    background-color: $back-green;
    border: none;
    padding: 5px 10px;
    border-radius: 10px;
    font-weight: bold;
    color: $back-dark;
}

.postbutton{
    margin: 0;
    width: 100%;
    margin-top: 20px;
}

.commentNumber{
    // display: contents;
    color: $back-green;
    background-color: transparent;
    border: 0;
    padding: 0;
    text-align: center;
    width: auto;
    margin-right: auto;
    margin-left: auto;
}

.commentNumber .row{
    text-align: center;
    width: 100%;
    margin: 0;
}

.container-post{
    color: white;
}

.colNumber {
    padding: 2%;
    padding: 0;
    text-align: center;
    margin-left: auto;
    margin-right: auto;
}
  .iconEdit{
    position:absolute;
    background-color: $back-green;
    border-radius: 50%;
    width: 35px;
    height: 35px;
    border: 0;
    right: 7%;
    top: 40px;
  }

  .rowContentPost{
      width: 100%;
  }

  .repostPar{
    margin-bottom: -5px;
    color: gray;
  }


  .datePost{
    color: darkgray;
    font-size: smaller;
    font-weight: normal;

}

.profil-pict{
    cursor: pointer;
}


@media screen and (min-width: 530px) and (max-width: 800px) {

    .profil-pict {
     width: 10vw;
     height: 10vw;
     object-fit: cover;
     border-radius: 50%;
     border: solid 2px $back-green;
 }
 .comment-pict {
     width: 8vw !important;
     height: 8vw !important;
     object-fit: cover;
     border-radius: 50%;
     border: solid 2px $back-green;
 }
   }
 
 
   @media screen and (min-width: 800px) and (max-width: 1100px) {
 
     .profil-pict {
      width: 8vw;
      height: 8vw;
      object-fit: cover;
      border-radius: 50%;
      border: solid 2px $back-green;
  }
  .comment-pict {
     width: 6vw !important;
     height: 6vw !important;
     object-fit: cover;
     border-radius: 50%;
     border: solid 2px $back-green;
 }
    }
 
    @media screen and (min-width: 1100px) and (max-width: 1500px) {
 
     .profil-pict {
      width: 6vw;
      height: 6vw;
      object-fit: cover;
      border-radius: 50%;
      border: solid 2px $back-green;
  }
  .comment-pict {
     width: 5vw !important;
     height: 5vw !important;
     object-fit: cover;
     border-radius: 50%;
     border: solid 2px $back-green;
 }
 
  .rowIconPost {
     width: 100%;
     margin: 0;
     padding: 20px;
     margin-left: 12%;
     margin-right: 12%;
     text-align: center;
     color: $back-green;
 }
 
    }
 
    @media screen and (min-width: 1500px) {
 
     .profil-pict {
      width: 4vw;
      height: 4vw;
      object-fit: cover;
      border-radius: 50%;
      border: solid 2px $back-green;
  }
 
  .comment-pict {
     width: 3vw !important;
     height: 3vw !important;
     object-fit: cover;
     border-radius: 50%;
     border: solid 2px $back-green;
 }
 
  .rowIconPost {
     width: 100%;
     margin: 0;
     padding: 20px;
     margin-left: 20%;
     margin-right: 20%;
     text-align: center;
     color: $back-green;
 }
 
  
    }